% Stage-2 Lateral LQR Design File LQR_Des.M
d2r=pi/180; r2d=180/pi;
[Ad, Bd, Cd, Dd]= vehi_later_des;              % Load the Lateral LQR Design Model
Q= [2, 0.1, 2, 0.2, 0.1]; Q=diag(Q);           % State Weights: [phi, p, psi, r, beta]
R= [1, 1]*0.5; R=diag(R);                      % Control Weights
[Kpr, s, e] = LQR(Ad,Bd,Q,R)                   % Lateral State-Feedback Matrix
% Kpr=[1.938, 2.006, -0.478, 0.232, 0.0064
%      0.486, 0.232,  1.942, 2.345, -0.088];
save Kpr.mat Kpr -ascii
