% Stage-2 Lateral LQR Design File LQR_Des.M
d2r=pi/180; r2d=180/pi;
[Ad, Bd, Cd, Dd]= vehi_later_des;              % Load the Lateral LQR Design Model
Q= [2, 0.1, 2, 0.2, 0.1]; Q=diag(Q);           % State Weights: [phi, p, psi, r, beta]
R= [1, 1]*0.44; R=diag(R);                      % Control Weights
[Kpr, s, e] = LQR(Ad,Bd,Q,R)                   % Lateral State-Feedback Matrix
% Kpr=[2.068, 2.076, -0.503, 0.233, 0.0188
%      0.513, 0.233,  2.072, 2.41, -0.0653];
save Kpr.mat Kpr -ascii
