% Stage-2, Pitch Design File LQR_des.m
d2r= pi/180; r2d=1/d2r;
[Ap, Bp, Cp, Dp]= vehi_pitch_des;         % Load Vehicle Pitch Design Model
[Ad, Bd, Cd, Dd]= linmod('Pitch_Des');    % Linearize Flexible Open-Loop Plant
Q= [7, 0.04, 0.001, 0.212]; Q=diag(Q);     % State Weights: [thet,q,alfa,gamma_int]=
R= 1.2;                                   % Control Weights
[Kq, s, e] = LQR(Ad,Bd,Q,R)               % State-Feedback Matrix
%Kq=[12.6, 2.29, -10.02, 0.42];
save Kq.mat Kq -ascii

