% Pitch Design File LQR_des.m
d2r= pi/180; r2d=1/d2r;
[Ap, Bp, Cp, Dp]= vehi_pitch_des;          % Load Vehicle Pitch Design Model
[Ad, Bd, Cd, Dd]= linmod('Pitch_Des');    % Linearize Flexible Open-Loop Plant
Q= [54, 0.01, 0.000001, 0.020]; Q=diag(Q);       % State Weights: [thet,q,alfa,gam_dt]=
R= 0.3;                                     % Control Weights
[Kq, s, e] = LQR(Ad,Bd,Q,R)              % State-Feedback Matrix
save Kq.mat Kq -ascii

