% Lateral LQR Design File LQR_des.m
d2r=pi/180; r2d=180/pi;
[Ad, Bd, Cd, Dd]= vehi_later_des;           % Load the Lateral LQR Design Model
Q= [2, 0.1, 2, 0.2, 0.1]; Q=diag(Q);        % State Weights: [phi,p,psi,r,beta]
R= [1, 1]*0.9; R=diag(R);                   % Control Weights
[Kpr, s, e] = LQR(Ad,Bd,Q,R)                % Lateral State-Feedback Matrix
% Kpr=[1.275, 1.595, -0.777, 0.334, -0.0755
%      0.685, 0.335,  1.272, 3.083, -0.5836];
save Kpr.mat Kpr -ascii
