label='Zulu Rocket, Max-Q with Gusts, Response to 2 deg in Roll & Yaw';
%------------------------------------------
r2d= 180/pi;
figure (1)
SUBPLOT(2,1,1), plot(time,phi,'b', time,psi,'r', 'LineWidth',1.5)
Title(label)
legend('Phi','Psi');
ylabel('Roll & Yaw Attitude (deg)')

SUBPLOT(2,1,2), plot(time,p*57.295,'b', time,r*57.295,'r', 'LineWidth',1.5)
legend('P','R');
ylabel('Roll & Yaw Body Rates (deg/sec)')
xlabel('Time')
%------------------------------------------
figure (2)
SUBPLOT(2,1,1), plot(time,Dy1*57.295,'b', time,Dy2*57.295,'r', 'LineWidth',1.5)
Title(label)
legend('Left','Right');
ylabel('Pitch Gimbals, Dy1,Dy2 (deg)')

SUBPLOT(2,1,2), plot(time,Dz1*57.295,'b', time,Dz2*57.295,'r', 'LineWidth',1.5)
legend('Left','Right');
ylabel('Yaw Gimbals, Dz1,Dz2 (deg)')
xlabel('Time')
%------------------------------------------
figure (3)
SUBPLOT(2,1,1), plot(time,Vgust, 'LineWidth',1.5)
Title(label)
ylabel('Cross-Wind Turbul. (ft/sec)')

SUBPLOT(2,1,2), plot(time,bethat,'r', time,beta,'b', 'LineWidth',1.5)
legend('Beta-Estimate','Beta-Measured');
ylabel('Beta Estimate, Beta (deg)')
xlabel('Time')
%------------------------------------------
