% Frequency Response Analysis file Run.m
d2r= pi/180; r2d=1/d2r;
LQR_des;
Mass=9580; Thr=363305;                         % Alpha Estimator parameters
Sref= 47.3; Qbar= 228; Cza=-0.34; Cyb=-0.072;
[Avr, Bvr, Cvr, Dvr]= vehi_latr_rb;            % Load RB Vehicle Lateral Model
[Avf, Bvf, Cvf, Dvf]= vehi_latr_Sflx;          % Load Flex Vehicle Lateral Model
[Aac, Bac, Cac, Dac]= actuator;                % Load Flixan Actuator Model
load -ascii KMIX.MAT KMIX;                     % Mixing Logic Matrix
load -ascii Klat.MAT Klat;                     % LQR Lateral State-Feedback Matrix
%[Al,Bl,Cl,Dl]= linmod('Latr_OpenRB');         % Linearize Rigid Body Open-Loop Plant
[Al,Bl,Cl,Dl]= linmod('Latr_OpenFlx');         % Linearize Flexible Open-Loop Plant
sys= SS(Al, Bl, Cl, Dl);                       % Create a SS System
w=logspace(-2, 2.5, 22000); 
figure(1); Nichols(sys,w)
figure(2); Bode(sys,w)
