% Frequency Response Analysis File Run.m
d2r= pi/180; r2d=1/d2r;
init                                       % Initialize Param.
%[Ap,Bp,Cp,Dp]= linmod('Ptch_OpenRB');     % Linearize Rigid Body Open-Loop Plant
[Ap,Bp,Cp,Dp]= linmod('Ptch_Open4');      % Linearize the Flixan Open-Loop Plant
%[Ap,Bp,Cp,Dp]= linmod('Ptch_OpenFLX');     % Linearize the Matlab Open-Loop Plant
sys= SS(Ap, Bp, Cp, Dp);                   % Create a SS System
w=logspace(-2, 2.3, 12000); 
figure(1); Nichols(sys,w)
figure(2); Bode(sys,w)
