% Lateral LQR Design File
d2r=pi/180; r2d=180/pi;
[Ad, Bd, Cd, Dd]= vehi_later_des;                 % Load the Lateral LQR Design Model
Q= [2, 0.01, 2, 0.02]; Q=diag(Q);            % State Weights: [phi, p, psi, r, beta]=[1, 0.1, 1, 0.05, 0.5]
R= [1, 1]*0.4; R=diag(R);                        % Control Weights
[Kpr, s, e] = LQR(Ad,Bd,Q,R)                    % Lateral State-Feedback Matrix
% Kpr=[2.1638    2.0706   -0.5644    0.2549
%      0.5653    0.2550    2.1637    2.3620];
save Kpr.mat Kpr -ascii
