% Stage-2, Pitch Design File LQR_des.m
d2r= pi/180; r2d=1/d2r;
[Ap, Bp, Cp, Dp]= vehi_pitch_des;         % Load Vehicle Pitch Design Model
[Ad, Bd, Cd, Dd]= linmod('Pitch_Des');    % Linearize Flexible Open-Loop Plant
Q= [25, 0.004]; Q=diag(Q);                  % State Weights: [thet,q]=
R= 0.2;                                   % Control Weights
[Kq, s, e] = LQR(Ad,Bd,Q,R)               % State-Feedback Matrix
%Kq=[11.18, 4.73, 0, 0.0];
save Kq.mat Kq -ascii

