function [Ave, Bve, Cve, Dve]= vehi_pitch_des
% Zulu, Stage-2, T150, Pitch Design Model                                                             
% Pitch rigid system is extracted from the coupled rigid system above                               
Ave= [
   0.00000000E+00   0.10000000E+01
   0.00000000E+00  -0.23700850E-07
];

Bve= [
   0.00000000E+00
   0.10001074E+01
];

Cve= [
   0.10000000E+01   0.00000000E+00
   0.00000000E+00   0.10000000E+01
];

Dve= [
   0.00000000E+00
   0.00000000E+00
];

%  Definition of State-Space System Variables

%  Inputs  =   1
%    1    Q-dot Pitch Acceleration About Y Axis                  
 
%  States  =   2
%    1    State No:  3                                           
%    2    State No:  4                                           
 
%  Outputs =   2
%    1    Ptch Attitude  (theta-body) (radians)                  
%    2    Ptch Rate      (q-body)   (rad/sec)                    
