% Lateral LQR Design File
d2r=pi/180; r2d=180/pi;
[Ad, Bd, Cd, Dd]= vehi_later_des;                 % Load the Lateral LQR Design Model
Q= [2, 0.1, 2, 0.2, 1.0e-8]; Q=diag(Q);            % State Weights: [phi, p, psi, r, beta]=[1, 0.1, 1, 0.05, 0.5]
R= [1, 1]*8; R=diag(R);                        % Control Weights
[Kpr, s, e] = LQR(Ad,Bd,Q,R)                    % Lateral State-Feedback Matrix
save Kpr.mat Kpr -ascii
