% Lateral LQR Design File
d2r=pi/180; r2d=180/pi;
[Ad, Bd, Cd, Dd]= latr_des;                % Load the Lateral LQR Design Model
Q= [2, 0.1, 2, 0.2, 0.1]; Q=diag(Q);       % State Weights: [phi, p, psi, r, beta]
R= [1, 1]*1.0; R=diag(R);                  % Control Weights
[Klat, s, e] = LQR(Ad,Bd,Q,R)              % Lateral State-Feedback Matrix
save Klat.mat Klat -ascii                  % Save in File
