label='System Response to 1 deg of Theta-Command';
label='Zulu Rocket @ Max-Q with Gusts, System Response to 2 deg of Gamma-Cmd';
%------------------------------------------
r2d= 180/pi;
figure (1)
plot(time,theta,'g', time,alpha,'r', time,gama*57.295,'b', 'LineWidth',1.5)
Title(label)
legend('Theta','Alpha','Gamma');
ylabel('Angles: Theta, Alpha, Gamma (deg)')
xlabel('Time')
%------------------------------------------
figure (4)
plot(time,alphat,'r', time,alpha,'b', 'LineWidth',1.5)
Title(label)
legend('Alpha-Estimate','Alpha-Measured');
ylabel('Alpha Estimate, Alpha-Measured (deg)')
xlabel('Time')
%------------------------------------------
figure (2)
SUBPLOT(2,1,1), plot(time,q*57.295, 'LineWidth',1.5)
Title(label)
ylabel('Pitch Rate (deg/sec)')

SUBPLOT(2,1,2), plot(time,accel/32.174, 'LineWidth',1.5)
ylabel('Accelerometer (g)')
xlabel('Time')
%------------------------------------------
figure (3)
SUBPLOT(2,1,1), plot(time,Gust, 'LineWidth',1.5)
Title(label)
ylabel('Wind Gust Veloc (ft/sec)')

SUBPLOT(2,1,2), plot(time,delta*57.295, 'LineWidth',1.5)
ylabel('Gimbal Deflect (deg)')
xlabel('Time')
%------------------------------------------
